QueryHints (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb
Class QueryHints

    java.lang.Object
      org.hibernate.ejb.QueryHints

    public class QueryHints

extends Object

TODO : javadoc

Field Summary
`static String` | `HINT_CACHE_MODE`
`static String` | `HINT_CACHE_REGION`
`static String` | `HINT_CACHEABLE`
`static String` | `HINT_COMMENT`
`static String` | `HINT_FETCH_SIZE`
`static String` | `HINT_FLUSH_MODE`
`static String` | `HINT_READONLY`
`static String` | `HINT_TIMEOUT` Deprecated. HINT_TIMEOUT (org.hibernate.timeout), instead use SPEC_HINT_TIMEOUT (javax.persistence.query.timeout)
`static String` | `SPEC_HINT_TIMEOUT`

Constructor Summary
`QueryHints()`

Method Summary
`static Set<String>` | `getDefinedHints()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HINT_TIMEOUT

    public static final String HINT_TIMEOUT

  Deprecated. HINT_TIMEOUT (org.hibernate.timeout), instead use SPEC_HINT_TIMEOUT (javax.persistence.query.timeout)
  See Also:
    Constant Field Values

### SPEC_HINT_TIMEOUT

    public static final String SPEC_HINT_TIMEOUT

See Also:
  Constant Field Values

### HINT_COMMENT

    public static final String HINT_COMMENT

See Also:
  Constant Field Values

### HINT_FETCH_SIZE

    public static final String HINT_FETCH_SIZE

See Also:
  Constant Field Values

### HINT_CACHE_REGION

    public static final String HINT_CACHE_REGION

See Also:
  Constant Field Values

### HINT_CACHEABLE

    public static final String HINT_CACHEABLE

See Also:
  Constant Field Values

### HINT_READONLY

    public static final String HINT_READONLY

See Also:
  Constant Field Values

### HINT_CACHE_MODE

    public static final String HINT_CACHE_MODE

See Also:
  Constant Field Values

### HINT_FLUSH_MODE

    public static final String HINT_FLUSH_MODE

See Also:
  Constant Field Values

Constructor Detail

### QueryHints

    public QueryHints()

Method Detail

### getDefinedHints

    public static Set<String> getDefinedHints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.